<?php

    /**
     * 状态码说明
     * 200 成功
     * 201 未登录
     * 202 失败
     * 203 空值
     * 204 无结果
     */

	// 页面编码
	header("Content-type:application/json");

	// 判断登录状态
    session_start();
    if(isset($_SESSION["yinliubao"])){
        
        // 数据库配置
    	include '../../../../Db.php';
    	$db = new DB_API($config);
    	
        $getChatRoomPayConfig = $db->set_table('ylb_ChatroomPayConfig')->find(['id' => 1]);
        if($getChatRoomPayConfig){
            
            // 有结果
            // 验证操作权限
            $checkAdmin = $db->set_table('huoma_user')->find(['user_name' => $_SESSION["yinliubao"]]);
            $user_admin = $checkAdmin['user_admin'];
            
            if($user_admin == 1){
                
                // 有权限
                $result = array(
    		        'chatRoomPayConfig' => $getChatRoomPayConfig,
    		        'code' => 200,
    		        'msg' => '获取成功'
		        );
            }else {
                
                // 无权限
                $result = array(
    		        'code' => 203,
    		        'msg' => '无操作权限'
		        );
            }
        }else{
            
            // 无结果
            $result = array(
    		    'code' => 204,
    		    'msg' => '获取失败'
		    );
        }
    	
    }else{
        
        // 未登录
        $result = array(
			'code' => 201,
            'msg' => '未登录'
		);
    }

	// 输出JSON
	echo json_encode($result,JSON_UNESCAPED_UNICODE);
	
?>